package cn.com.countrygarden.bi.main.dto.districtReport;

import cn.com.countrygarden.bi.main.model.districtReport.RdClosedBuildingProject;
import com.fasterxml.jackson.annotation.JsonFormat;

import java.util.Date;
import java.util.List;

public class RdClosedBuildingProjectDTO extends RdClosedBuildingProject {

    private String regionCode;

    private String regionName;

    private String districtCode;

    private String districtName;

    private String projectCode;

    private String developmentSubject;

    private String firstPayDateList;

    private String firstPayDateList1;

    private String firstPayDateList2;

    private List<String> industryCompositionList;

    private List<String> propertyPriceList;

    private List<String> carPriceList;

    private List<String> committeeProjectList;

    private List<String> committeeUnitList;

    private List<String> committeeRateList;

    private String committeeProjectLi;

    private String committeeUnitLi;

    private String committeeRateLi;

    @JsonFormat(pattern="yyyy/MM/dd",timezone = "GMT+8")
    private Date firstPayDateString;

    public String getRegionCode() {
        return regionCode;
    }

    public void setRegionCode(String regionCode) {
        this.regionCode = regionCode;
    }

    public String getFirstPayDateList() {
        return firstPayDateList;
    }

    public void setFirstPayDateList(String firstPayDateList) {
        this.firstPayDateList = firstPayDateList;
    }

    public String getFirstPayDateList1() {
        return firstPayDateList1;
    }

    public void setFirstPayDateList1(String firstPayDateList1) {
        this.firstPayDateList1 = firstPayDateList1;
    }

    public String getFirstPayDateList2() {
        return firstPayDateList2;
    }

    public void setFirstPayDateList2(String firstPayDateList2) {
        this.firstPayDateList2 = firstPayDateList2;
    }

    public String getRegionName() {
        return regionName;
    }

    public void setRegionName(String regionName) {
        this.regionName = regionName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public List<String> getIndustryCompositionList() {
        return industryCompositionList;
    }

    public void setIndustryCompositionList(List<String> industryCompositionList) {
        this.industryCompositionList = industryCompositionList;
    }

    public List<String> getPropertyPriceList() {
        return propertyPriceList;
    }

    public void setPropertyPriceList(List<String> propertyPriceList) {
        this.propertyPriceList = propertyPriceList;
    }

    public List<String> getCarPriceList() {
        return carPriceList;
    }

    public void setCarPriceList(List<String> carPriceList) {
        this.carPriceList = carPriceList;
    }

    @Override
    public String getProjectCode() {
        return projectCode;
    }

    @Override
    public void setProjectCode(String projectCode) {
        this.projectCode = projectCode;
    }

    public String getDevelopmentSubject() {
        return developmentSubject;
    }

    public void setDevelopmentSubject(String developmentSubject) {
        this.developmentSubject = developmentSubject;
    }

    @Override
    public String getDistrictCode() {
        return districtCode;
    }

    @Override
    public void setDistrictCode(String districtCode) {
        this.districtCode = districtCode;
    }

    public List<String> getCommitteeProjectList() {
        return committeeProjectList;
    }

    public void setCommitteeProjectList(List<String> committeeProjectList) {
        this.committeeProjectList = committeeProjectList;
    }

    public List<String> getCommitteeUnitList() {
        return committeeUnitList;
    }

    public void setCommitteeUnitList(List<String> committeeUnitList) {
        this.committeeUnitList = committeeUnitList;
    }

    public List<String> getCommitteeRateList() {
        return committeeRateList;
    }

    public void setCommitteeRateList(List<String> committeeRateList) {
        this.committeeRateList = committeeRateList;
    }

    public String getCommitteeProjectLi() {
        return committeeProjectLi;
    }

    public void setCommitteeProjectLi(String committeeProjectLi) {
        this.committeeProjectLi = committeeProjectLi;
    }

    public String getCommitteeUnitLi() {
        return committeeUnitLi;
    }

    public void setCommitteeUnitLi(String committeeUnitLi) {
        this.committeeUnitLi = committeeUnitLi;
    }

    public String getCommitteeRateLi() {
        return committeeRateLi;
    }

    public void setCommitteeRateLi(String committeeRateLi) {
        this.committeeRateLi = committeeRateLi;
    }

    public Date getFirstPayDateString() {
        return firstPayDateString;
    }

    public void setFirstPayDateString(Date firstPayDateString) {
        this.firstPayDateString = firstPayDateString;
    }
}
